Page 1 of 1

[SOLVED] "The Open Chat Zimlet needs to be updated!" Popup

Posted: Wed Dec 06, 2017 4:46 pm
by dparker
I have a ZCS Open Source install version 8.7.11_GA_1854 (build 20170531151956) running on Ubuntu 16.04. Yesterday, users have been getting the following popup upon logging in. How can I update the chat zimlet?

The Open Chat Zimlet needs to be updated!
Current ZxChat Zimlet version: 8.7.10
Needed ZxChat Zimlet version: 8.8.4


Image

Re: "The Open Chat Zimlet needs to be updated!" Popup

Posted: Wed Dec 06, 2017 9:58 pm
by jorgedlcruz
Hello,
Yeah, my apologies for it, it seems we have updated the repository and add a new Chat zimlet, so you need to deploy it manually, it's simple as zimbra user:

Code: Select all

zmzimletctl deploy /opt/zimbra/zimlets/com_zextras_chat_open.zip
[] INFO: Deploying Zimlet com_zextras_chat_open in LDAP.
[] INFO: Installing Zimlet com_zextras_chat_open on this host.
[] INFO: Upgrading Zimlet com_zextras_chat_open to 16.44.0
[] INFO: Adding Zimlet com_zextras_chat_open to COS default
[] INFO: Enabling Zimlet com_zextras_chat_open

Then:

Code: Select all

zmprov fc all

And finally:

Code: Select all

zmmailboxdctl restart


I'm writing a wiki and adding a warning into the main forums category/notification, sorry!

Re: "The Open Chat Zimlet needs to be updated!" Popup

Posted: Wed Dec 06, 2017 10:09 pm
by jorgedlcruz

Re: [SOLVED] "The Open Chat Zimlet needs to be updated!" Popup

Posted: Thu Dec 07, 2017 5:52 pm
by dparker
That did the trick! Thank you!